Subject: Re: bug#17736: 24.4.50; *-mouse-1 acts on wrong frame

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Dec 2020 14:45:59 +0100

Drew Adams <[email-masked]> writes:

> 9. Select *scratch* frame.  `M-x', then `C-S-mouse-1' in
>    *scratch*.  See message in both *Messages* and echo
>    area (minibuffer frame): selected frame is
>    " *Minibuf-1*".
>
> #9 is unexpected.
>
> Can you repro this?

Thanks for the recipe; I now see the behaviour you're describing.

> If so, we can talk about whether #9 should be expected or is a bug.

The thing is, in your setup, typing `M-x' selects the minibuffer frame
-- the *scratch* frame loses focus.  So I agree with what Eli said
earlier: I think this is consistent behaviour, and you have to examine
the event you're getting to see what frame the user clicked in.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no